#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>
SYS_RESULT_TMP="$(mktemp)"
systemctl --state=failed | sed -r "s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m]//g" 2>&1 | tee "$SYS_RESULT_TMP"
uptime
BEFORE="$(journalctl | wc -l)"
sleep 10
AFTER="$(journalctl | wc -l)"
JOURNAL_DIFF_CNT="$((AFTER - BEFORE))"
echo "Lines in journal (growth in last 10s): $AFTER ($JOURNAL_DIFF_CNT)"
tree -L 2 /opt/share/crash/

echo SERVICES_FAIL_CNT "$(grep -c "failed" "$SYS_RESULT_TMP")"
echo JOURNAL_DIFF_CNT "$JOURNAL_DIFF_CNT"
echo JOURNAL_TOTAL_CNT "$AFTER"
echo OPT_CRASH_CNT "$(find /opt/share/crash -maxdepth 2 | wc -l)"
