#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

mkdir -p "${WS_WATCHER}"
cd "${WS_WATCHER}"
touch dispatched_urls
touch timestamp
touch timestamp_snapshot
nr=$(tspoll -L PRERELEASE_WATCHER timeout 120 "${TSP_DIR}/scripts/crawler.py" --log INFO "http://download.tizen.org/prerelease/tizen/common/")
nr=$(tspoll -D "$nr" -L DOWNLOAD_TRIGGER sh "${TSP_DIR}/jobs/trigger_downloads.sh")
nr=$(tspoll -D "$nr" -L SNAPSHOT_WATCHER timeout 120 "${TSP_DIR}/scripts/crawler.py" --log INFO "http://download.tizen.org/snapshots/tizen/common/")
tspoll -D "$nr" -L DOWNLOAD_TRIGGER sh "${TSP_DIR}/jobs/trigger_downloads.sh"
