#!/bin/sh

# Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Aleksander Mistewicz <a.mistewicz@samsung.com>

# Assume that most of the space is taken up by downloaded images.
# Delete ones that were modified at least 3 days ago.

export TSP_DIR="$(CDPATH='' cd -- "$(dirname -- "$0")" && pwd -P)/.."

. "${TSP_DIR}/common.sh"

for i in $(find "${WS_DOWNLOAD}" -maxdepth 1 -mindepth 1 -type d -mtime +1)
do
    DIFF_FILE="$(ls "$i"/diff-*.report)"
    if [ -z "${DIFF_FILE}" ]
    then
        echo "Missing diff-*.report in: " "$i"
    else
        if grep -q "Snapshot" "${DIFF_FILE}"
        then
            echo "Snapshot, skipping:" "$i"
            continue
        fi
    fi
    rm -vr "$i"
done
